Clicking links in webview is broken
Closed, ResolvedPublic

Description

Regression probably introduced by slight changes to view controller hierarchy. Clicking a link emits this warning in the console:

2015-08-06 08:03:13.386 Wikipedia Debug[43742:50821178] Warning: Attempt to present <WMFArticleViewController: 0x7fdf1dd7fe10> on <WMFArticleViewController: 0x7fdf1d98cb40> whose view is not in the window hierarchy!

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2015, 12:06 PM
BGerstle-WMF claimed this task.
BGerstle-WMF set Security to None.
MBinder_WMF closed this task as Resolved.Oct 7 2015, 10:07 PM